#!/usr/local/bin/perl -w

$/ = "";     # paragraph input mode
$raw = "";   # raw attributes
%atts = ();  # attributes

while (<>) {
    while (/<img\s(.+?)>/igs ) {
        $raw = $1;
        while ($raw =~ /(\w+)\s*=\s*(("|')(.*?)\3|(\w*)\s*)/igs) {
           if (defined $4) {
              $atts{ lc($1) } = $4;
           } else { $atts{ lc($1)} = $2; }
        }
        if ($raw =~ /ismap/i) {
            $atts{'ismap'}= "Yes";
        }

        print '-' x 15;
        print "\nImage:  $atts{'src'}\n";
        foreach $key ("width", "height",
                      "border", "vspace", "hspace",
                      "align", "alt", "lowsrc", "ismap") {
             if (exists($atts{$key})) {
                $atts{$key} =~ s/\s*\n/ /g;
                print "   $key: $atts{$key}\n";
             }
        }
        %atts = ();
    }
}
