#!/usr/bin/perl -w
use strict;

my $pid = undef;

foreach my $i (1..3) {
    if (defined($pid = fork)) {
        if ($pid) { #parent
            print "Parent: forked child $i ($pid)\n";
        } else {    #child
            print "Child $i: running\n";
            last;
        }
    }
}

print "End...\n";

