#!/usr/local/bin/perl

my @one = (55, 11, 33, 22, 44);
my @two = (8, 4, 7, 3, 1);
my @three = (100, 700, 200);

my @sorted_arrays = sort_arrays(\@one, \@two, \@three);

foreach my $ref (@sorted_arrays)
{
    foreach my $num (@$ref)
    {
        print $num, " ";
    }
    print "\n";
}

sub sort_arrays
{
    my @new_arrays = ();

    foreach my $ref (@_)
    {
        my @sorted = sort {$a <=> $b} @$ref;
        push @new_arrays, \@sorted;
    }

    return @new_arrays;
}

